[arch-commits] Commit in scim-m17n/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Mon Apr 20 20:38:01 EDT 2009


    Date: Monday, April 20, 2009 @ 20:38:00
  Author: eric
Revision: 36323

upgpkg: scim-m17n 0.2.3-1
    Upstream update

Modified:
  scim-m17n/trunk/PKGBUILD

----------+
 PKGBUILD |   15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-21 00:37:07 UTC (rev 36322)
+++ PKGBUILD	2009-04-21 00:38:00 UTC (rev 36323)
@@ -3,21 +3,20 @@
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=scim-m17n
-pkgver=0.2.2
-pkgrel=2
+pkgver=0.2.3
+pkgrel=1
 pkgdesc="SCIM Input method using m17n library"
 arch=(i686 x86_64)
 url="http://www.scim-im.org/"
 license=('GPL')
 depends=('scim>=1.4.7' 'm17n-lib>=1.3.4')
+options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/scim/$pkgname-$pkgver.tar.gz)
-md5sums=('17d43799d0df9838c1cd5886ea376105')
+md5sums=('179a009b262e0aa0aba786f37e4345ed')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir install || return 1
 }
-



More information about the arch-commits mailing list